@charset "utf-8";

@font-face {
    font-family: 'Durango Western Eroded';
    src: url(font/durango_western_eroded.eot);
    src: url(font/durango_western_eroded.eot?#iefix) format('embedded-opentype'),
        url(font/durango_western_eroded.otf) format('otf'),
        url(font/durango_western_eroded.svg#durango_western_eroded) format('svg'),
        url(font/durango_western_eroded.ttf) format('truetype'),
        url(font/durango_western_eroded.woff) format('woff'),
        url(font/durango_western_eroded.woff2) format('woff2');
}

.gbr {
    font-family: "Gowun Batang", serif;
    font-weight: 400;
    font-style: normal;
}
  
.gbb {
    font-family: "Gowun Batang", serif;
    font-weight: 700;
    font-style: normal;
}
  


:root {
  
    --desert: #ead0a8;
    --desert2: #b69f66;
    --darkdesert: #6b5428;

    --brown: #76552b;
    --brown2: #5D3501;
    --darkbrown: #402905;
    --darkbrown2: #312004;

    --lightgreen: #bfeba9;
    --green: #43752a;
    --darkgreen: #133004;

    --lightgray2: #999999;
    --lightgray: #333333;
    --gray: #262626;
    --darkgray: #1a1a1a;

    --foot: #4c4c4c;

    --font1: 'Durango Western Eroded';
}


/** **/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  margin: 0;
}

html {
  scrollbar-width: thin;
  scrollbar-color: var(--gray) var(--darkgray);
}

body {
  color: var(--brown);
  background: var(--darkgray);
  font-family: var(--font);
  letter-spacing: 2px;
  padding: 0;
  margin: 0;
  overflow-x: hidden;
  -ms-overflow-style: -ms-autohiding-scrollbar;
}


h1 {
  color: var(--desert);
  font-family: var(--font1);
  font-weight: normal;
  letter-spacing: 5px;
  margin-bottom: 15px;
}

h2 {
  color: var(--desert);
  font-family: var(--font1);
  font-size: 1.13rem;
  text-transform: uppercase;
  letter-spacing: 2px;
}

h3 {
  color: var(--desert);
  font-family: var(--font1);
  font-size: 1.3rem;
  font-weight: normal;
  text-transform: uppercase;
  letter-spacing: 8px;
}


a {
  color: var(--red);
  text-decoration: none;
}


.icon {
  width: 30px !important;
  height: 30px !important;
  display: inline-block;
  background-image: url(images/iclih.png);
  background-size: auto;
  background-repeat: no-repeat;
  margin-right: 15px;
}


hr {
    width: auto;
    height: 2px;
    background-color: var(--desert);
    border: none;
    margin: 0 25px;
}


input {
    color: var(--desert);
    font-size: 1em;
    text-align: center;
    background-color: var(--darkbrown);
    border: none;
    border-radius: 15px;
    padding: 15px;
    margin-top: 10px;
    margin-bottom: 20px;
    outline: none;
}

input:focus {
    color: var(--darkbrown);
    background: var(--desert2);
}

input::placeholder {
    color: var(--desert2);
}

button, .c_btn, .btn-primary {
    color: var(--desert);
    font-size: 1rem;
    background-color: var(--brown);
    border: none;
    border-radius: 15px;
    padding: 15px;
    cursor: pointer;
    outline: none;
}

button:hover, .c_btn:hover, .btn-primary:hover {
    color: var(--darkbrown);
    background-color: var(--desert2);
    outline: none;
}



/** MAIN **/

main {
    display: flex;
    margin-left: 300px;
}

.fmain {
    display: flex !important;
}

section {
    display: block;
    width: 100%;
    height: auto;
    padding: 50px;
}

.container {
    display: flex;
    align-items: start;
    gap: 25px;
}

.container2 {
    display: flex;
    align-items: start;
    gap: 25px;
    margin-top: 50px;
}

.content {
    display: block;
    width: 100%;
    color: var(--desert);
    text-align: center;
    background-color: var(--brown2);
    border-radius: 15px;
    padding-top: 5px;
    padding-bottom: 25px;
}

.content2 {
    width: 100%;
    color: var(--desert);
    background-color: var(--brown2);
    border-radius: 15px;
    padding: 25px;

    .con_head {
        display: flex;
        align-items: center;
        color: var(--desert);
        font-size: 1.5em;
        text-align: center;
        border-bottom: 2px solid var(--desert);
        margin-bottom: 50px;

        .con_title {
            font-family: var(--font1);
            letter-spacing: 0.3em;
            margin-right: auto;
            margin-left: auto;
        }

        .edit_storage, .order_storage, .crafting_storage {
            height: fit-content;
            color: var(--desert);
            font-size: 0.8em;
            background-color: var(--darkbrown);
            border-radius: 15px;
            padding: 15px;
        }

        .edit_storage {
            margin-left: auto;
            margin-bottom: 15px;
        }

        .order_storage {
            margin-right: 1em;
        }

        .crafting_storage {
            margin-left: 1em;
        }

        .edit_storage:hover, .order_storage:hover {
            background-color: var(--brown);
            cursor: pointer;
        }
    }

.con_foot {
    display: flex;
    align-items: center;
    color: var(--desert);
    font-size: 1.5em;
    text-align: center;
    border-top: 2px solid var(--desert);
    margin-top: 50px;

    .edit_storage {
        height: fit-content;
        color: var(--desert);
        font-size: 0.8em;
        background-color: var(--darkbrown);
        border-radius: 15px;
        padding: 15px;
    }

    .edit_storage {
        margin-top: 25px;
        margin-right: auto;
        margin-left: auto;
    }

    .edit_storage:hover {
        background-color: var(--brown);
        cursor: pointer;
    }
}

    .storage {
        display: flex;
        gap: 50px;

        .bw_storage {
            width: 100%;
        }

        .vl_storage {
            width: 100%;
        }

        .sb_storage {
            width: 100%;
        }
    }
}

.pro_amo {
    display: flex;
    justify-content: space-around;
    font-size: 1em;
    margin-bottom: 25px;
}

.stor_prod_amon {
    display: flex;
    justify-content: space-around;
    width: 100%;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
    margin: 25px 0;

    .sto_pro {
        width: 100%;
        text-align: center;
    }

    .sto_amo {
        width: 100%;
        text-align: center;
    }

    input {
        background-color: var(--darkdesert);
        padding: 0;
        margin: 0;
    }

    input:focus {
        background-color: var(--desert2);
    }
}

.stor_prod_amon:first-child {
    margin-top: 0;
}

.stor_prod_amon:last-child {
    margin-bottom: 0;
}


.s_login, .s_register {
    display: flex;
    justify-content: center;
    align-items: center;
}

.login, .register {
    width: 100%;
    max-width: 400px;
    color: var(--desert2);
    text-align: center;
    background: var(--brown2);
    border-radius: 15px;
    padding: 20px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.login button[type="submit"], .register button[type="submit"] {
    margin-top: 25px;
}

form {
    display: flex;
    flex-direction: column;
    font-size: 1em;

    select {
        font-size: 1em;
    }
}

.errmsg {
    margin-bottom: 25px;
}

.error {
    border: 2px solid red;
}



/** DASHBOARD **/

.success-message, .error-message {
    display: flex;
    align-items: center;
    background-color: var(--desert);
    color: var(--darkbrown);
    border-radius: 15px;
    padding: 25px;
}

.error-message {
    color: var(--lightgray2);
    background-color: var(--darkgray);
}

aside {
    display: flex;
    flex-direction: column;
    width: 300px;
    height: 100%;
    background: var(--gray);
    position: fixed;
    top: 0;
    left: 0;
    overflow-y: auto;
    overflow-x: hidden;
}

.aid, .aad {
    text-align: center;
    padding: 15px;
}

.aad h3 {
    color: var(--lightgray2);
    margin-top: 25px;
}

ul.aad_active {
    list-style: none;
    padding: 0 25px;

    li {
        color: var(--desert);
        border-radius: 15px;
        padding: 0 15px;
        margin: 20px 0;
    }

    li.readiness {
        background: var(--lightgray);
    }

    li.shaman {
        color:#bfeba9;
    }

    li.mondlicht_woelfe {
        color:#a9bbeb;
    }

    li.testing {
        color:#eba9a9;
    }
    
    li span.posi {
        color: var(--desert2);
    }
}

.shaman span.posi {
    color: #80b565 !important;
}

.mondlicht_woelfe span.posi {
    color: #6585b5 !important;
}

.testing span.posi {
    color: #b56565 !important;
}

ul.aad_no_active {
    list-style: none;
    padding: 0 25px;

    li {
        color: var(--lightgray2);
        background-color: transparent;
        border-radius: 15px;
        padding: 0 15px;
        margin: 20px 0;
    }

    li:first-child {
        margin-top: 0;
    }

    li span.posi {
        color: var(--foot);
    }
}

.b_menu {
    display: flex;
    justify-content: space-between;
    width: inherit;
    padding: 25px;
    margin-top: auto;
}

.b_logout {
    color: var(--lightgray2);
    background-color: var(--lightgray);
    border-radius: 15px;
    padding: 10px;
}

.b_logout:hover {
    background-color: var(--foot);
}



/**/

.statistik {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;
    justify-items: center;
}

.st_box:first-child {
    grid-row: span 6;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: transparent;
    padding: 0;
}

.st_box {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-width: 250px;
    max-width: 300px;
    color: var(--desert);
    background: var(--gray);
    border-radius: 15px;
    padding: 15px;
}

.stb_ti {
    font-size: 1.5em;
}

.stb_su {
    color: var(--lightgray2)
}


.d_menu {
    display: flex;
    justify-content: space-between;
}

.dm_box {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 250px;
    max-width: 300px;
    height: fit-content;
    color: var(--desert);
    background: var(--brown);
    border-radius: 15px;
    padding: 15px;
    margin: 5px;
}

.dm_box:hover {
    color: var(--darkbrown);
    background: var(--desert2);
}

.dm_box:first-child {
    margin-top: 0;
}

.dm_box:last-child {
    margin-bottom: 0;
}

.not_box {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 250px;
    max-width: 300px;
    height: fit-content;
    color: #f17e7e;
    text-transform: uppercase;
    background: #640b0b;
    border-radius: 15px;
    padding: 25px;
}

.not_box:hover {
    color: white;
    background-color: #e61919;
    cursor: pointer;
}

.not_box[style*="pointer-events: none;"] {
    cursor: default;
}

.inout {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 250px;
    max-width: 300px;
    height: fit-content;
    color: var(--lightgreen);
    font-size: 1em;
    background-color: var(--green);
    border-radius: 15px;
    padding: 15px;
    cursor: pointer;
    margin: 5px;
}

.inout:first-child {
    margin-top: 0;
}

.inout:last-child {
    margin-bottom: 0;
}

.inout:hover {
    color: var(--green);
    background-color: var(--darkgreen) !important;
    cursor: pointer;
}



/** ÜBERSICHT ALLER PATIENTEN **/

.search {
    display: flex;
    align-items: center;
    width: auto;
    border-bottom: 2px solid var(--desert);
    margin: 25px;

    form input {
        margin: 0;
        margin-right: 250px;
        margin-left: 50px;
    }
}

.over_add_patient, .over_add_order {
    display: flex;
    align-items: center;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
    margin-left: auto;
    margin-right: 50px;
}

.over_add_patient:hover, .over_add_order:hover {
    background-color: var(--brown);
}


.overview {
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    padding: 0 50px 35px 50px;
}

.o_patient {
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    background: var(--darkbrown);
    border-radius: 15px;
    margin: 25px;
    margin-top: 0;
}

.o_patient:last-child {
    margin-bottom: 0;
}

.op_name, .op_bday, .op_gender {
    padding: 15px;
}

.op_status, .lo_open {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    padding: 15px;
    margin-left: auto;
    margin-right: auto;
}

.op_status:hover, .lo_open:hover {
    background-color: var(--brown);
}

.op_scroll {
    padding-top: 10px;
}

.inbtn {
    width: 200px;
    color: rgb(241, 126, 126);
    background-color: rgb(58, 8, 8);
}

.inbtn::placeholder {
    color: rgb(241, 126, 126);
}

.inbtn:focus {
    color: rgb(241, 126, 126);
    background-color: rgb(100, 11, 11);
}

.inbtn:first-child {
    margin-bottom: 6px;
}

.inbtn:last-child {
    margin: 0;
}

.inbtnbtn {
    width: 200px;
    color: rgb(241, 126, 126);
    text-align: center;
    background-color: rgb(100, 11, 11);
    border-radius: 15px;
    padding: 25px;
    margin-bottom: 6px;
}

.inbtnbtn:hover {
    color: white;
    background-color: rgb(241, 126, 126);
}




.edit_patient:hover {
    color: white;
    background-color: rgb(241, 126, 126);
}



/** PATIENT ERSTELLEN **/

.add_patient {
    display: flex;
    gap: 25px;
    color: var(--desert);
    background-color: var(--brown2);
    border-radius: 15px;
    padding: 25px;
}

input.n_patient:first-child {
    margin-left: 0;
}

input.n_date:last-child {
    margin-right: 0;
}

input.n_patient, input.n_date {
    margin: 0 25px;
}


.sub_add_pat {
    display: flex;
    justify-content: center;
}



/** PATIENT **/

.patient {
    display: flex;
    flex-direction: column;
    border-radius: 15px;
    background-color: var(--brown2);
}

.law {
    background-color: #0b4864 !important;
}

.mandanen {
    background-color: #053605 !important;
}

.mondlicht {
    background-color: #052c36 !important;
}

.dead {
    background-color: #640b0b !important;
}

.p_name, .rectit {
    color: var(--desert);
    font-size: 1.5em;
    text-align: center;
    border-bottom: 2px solid var(--desert);
    margin: 25px;
}

.rectit {
    border-bottom: none;
}

.person {
    display: flex;
    align-items: flex-start;
    padding: 25px;
    padding-bottom: 0;
}

.siim {
    width: 150px;
    height: 160px;
    background: var(--brown);
    border: 2px solid var(--desert);
    border-radius: 15px;
    margin-right: 20px;
}

.p_details {
    display: flex;
    flex-direction: column;
    color: var(--desert2);
}

.p_na {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 25px;

    .name {
        color: var(--desert);
    }
}

.p_info {
    display: flex;
    flex-direction: column;

    .name {
        color: var(--desert);
    }
}

.p_bg, .p_jt {
    margin-bottom: 25px;

    
    .bday, .gender, .job, .tnumber {
        color: var(--desert);
    }
}

.preall, .emergency {
    display: flex;
    color: var(--desert2);
    padding: 25px;
    padding-top: 0;
    padding-bottom: 0;

    .vekk, .allg, .nfkt {
        color: var(--desert);
    }
}

.p_preexisting, .p_allergy {
    margin-bottom: 25px;
}

.emergency {
    margin-top: 25px;
}

/**/

.recinv {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
    align-items: stretch;
    border-radius: 15px;
}

.recamonum, .invamoopen {
    text-align: center;
    background-color: var(--brown2);
    border-radius: 15px;
    padding: 25px;

    .recamo, .invamo {
        color: var(--desert);
    }

    .recnum, .open_invoice {
        color: var(--desert2);
    }
}

/**/

.crebtn {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-end;
    justify-content: flex-end;
}

.add_record, .add_invoice {
    width: 200px;
    color: var(--desert);
    text-align: center;
    background-color: var(--brown);
    border-radius: 15px;
    padding: 25px;
    margin-bottom: 6px;
}

.add_record:hover, .add_invoice:hover {
    color: var(--darkbrown);
    background-color: var(--desert2);
}

.edit_patient, .delete_user {
    width: 200px;
    color: #f17e7e;
    text-align: center;
    background-color: #640b0b;
    border-radius: 15px;
    padding: 25px;
    margin-bottom: 6px;
}

.edit_patient:hover {
    color: white;
    background-color: #f17e7e;
}



/** P-AKTENEINTRÄGE **/

#records, #invoice {
    display: block;
    width: 100%;
    text-align: center;
    padding-top: 5px;
    margin-top: 50px;
}

.records, .invoice {
    color: var(--desert);
    background-color: var(--brown2);
    border-radius: 15px;
    padding-bottom: 25px;
}

.invoice {
    margin-bottom: 0;
}

.dcid {
    display: grid;
    grid-template-columns: 0.4fr 1fr 0.4fr 0.8fr 0.3fr;
    padding: 0 50px 35px 50px;
}

.atetg, .atetg1, .rne, .rne1 {
    display: grid;
    grid-template-columns: 0.4fr 1fr 0.4fr 0.8fr 0.3fr;
    background: var(--darkbrown);
    border-radius: 15px;
    padding: 25px;
    margin: 25px;
    margin-top: 0;
}

.atetg:last-child, .atetg1:last-child, .rne:last-child, .rne1:last-child {
    margin-bottom: 0;
}

.a_status, .r_status {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    margin: -25px;
}

.a_status:hover, .r_status:hover {
    background-color: var(--brown);
}

.a_scroll {
    padding-top: 10px;
}


/**/

.p_records {
    display: flex;
    flex-direction: column;
    color: var(--desert);
    background-color: var(--brown2);
    border-radius: 15px;
    padding: 25px;
    margin-left: auto;
    margin-right: auto;
    
    .title {
        font-family: var(--font1);
        font-size: 1.5em;
        text-align: center;
        letter-spacing: 5px;
    }

    .info {
        margin: 25px 0;
    }
}

.p_link {
    color: var(--desert);
    font-size: 1.1em;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
    margin-left: auto;
    margin-right: auto;
}

.p_link:hover {
    background-color: var(--brown);
}



/** AKTENEINTRÄGE ERSTELLEN **/

.create {
    display: flex;
    gap: 25px;
    width: 100%;
    color: var(--desert);
    background-color: var(--brown2);
    border-radius: 15px;
    padding: 25px;
}

.create {

    .date {
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }

    .doc_signature {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
}

.d_signa {
    display: flex;
    justify-content: flex-end;
}

.d_signa input {
    margin: 0;
}

select {
    border: none;
    border: 0;
}

.cre_concerning, .cre_patient {
    color: var(--desert);
    background-color: var(--darkbrown);
    border: none;
    border-radius: 15px;
    padding: 15px;
    margin-right: 30px !important;
}

.category {
    width: 210px;
    text-align: center;
}

.sub_category {
    width: 320px;
    text-align: center;
}

.cre_patient {
    text-align: center;
}

.cre_invoice {
    display: flex;
    justify-content: flex-end;
}

.treatment {
    display: flex;
    flex-direction: column;

    label {
        padding: 10px;
        padding-left: 50px;
    }

    textarea {
        height: 100px;
        color: var(--desert);
        background-color: var(--darkbrown);
        border: none;
        border-radius: 15px;
        padding: 15px;
        margin: 0;
        outline: none;
    }
}

textarea {
    color: var(--desert);
    background-color: var(--darkbrown);
    border: none;
    border-radius: 15px;
    padding: 15px;
    margin: 0;
    outline: none;
}


textarea::placeholder {
    color: var(--desert2);
}

.title_date, .work_unfit {
    display: flex;
    justify-content: space-between;
}

.d_title {
    font-family: var(--font1);
    font-size: 1.5em;
    letter-spacing: 5px;
    margin-left: 50px;
}

.work {
    padding-left: 50px;
}

#workout {
    margin-left: 10px;
}

#workout_date {
    margin-left: 25px;
}

.unifit {
    padding-right: 50px;
}

#unifit {
    margin-left: 10px;
}

#unifit_date {
    margin-left: 25px;
}



/** ADMIN **/

.control {
    display: grid;
    grid-template-columns: 1fr 10% 10% 10% 10% 10% 10% 10% 10%;
    padding: 15px;
}

.c_doctor {
    display: grid;
    grid-template-columns: 1fr 10% 10% 10% 10% 10% 10% 10% 10%;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
    margin: 25px;
}

.c_control input[type="checkbox"] {
    margin: 0;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}
  
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
  
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--brown);
    transition: .4s;
    border-radius: 34px;
}
  
.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: var(--darkbrown);
    transition: .4s;
    border-radius: 50%;
}
  
input:checked + .slider {
    background-color: var(--desert);
}
  
input:checked + .slider:before {
    transform: translateX(26px);
}
  
.slider.round {
    border-radius: 34px;
}
  
.slider.round:before {
    border-radius: 50%;
}


/**/

.cont_doctors {
    border-bottom: 2px solid var(--desert);
}

.doctors {
    display: grid;
    grid-template-columns: 1fr 25% 25%;
    padding: 15px;
}

.d_doctors {
    display: grid;
    grid-template-columns: 1fr 25% 25%;
    align-items: center;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
    margin: 25px;
}

.posi {
    color: var(--brown);
}

.d_control {
    display: flex;
    justify-content: center;
}

.d_control .dm_box {
    width: fit-content;
    letter-spacing: 2px;
    padding: 15px;
    margin: 0;
}



/** BESTELLUNGEN **/

.order-overview {
    display: grid;
    grid-template-columns: 8% 5% 8% 10% 4% 4% 13% 10% 7% 6%;
    justify-content: space-between;
    margin: 25px;
    margin-bottom: 35px;
}

.list-orders {
    display: grid;
    grid-template-columns: 8% 5% 8% 10% 4% 4% 13% 10% 7% 6%;
    justify-content: space-between;
    background: var(--darkbrown);
    border-radius: 15px;
    margin: 25px;
    margin-top: 0;

    > * {
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 15px;
        padding: 15px;
        margin-left: auto;
        margin-right: auto;
    }
}

.container {

    .p_link {
        display: block;
        width: fit-content;
        margin-top: 25px;
    }
}


/** BEARBEITUNG **/


.order {

    .o_edit {
        display: flex;
        column-gap: 50px;
    }
}




/** KALENDER **/

.calendar {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.month {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding: 25px;
    margin: 10px;
}

.cal_title {
    width: 100%;
    border-bottom: 2px solid var(--desert);
    margin: 0 35px;
}

.cal_title h2 {
    color: var(--desert);
    font-size: 2em;
    letter-spacing: 5px;
    text-align: center;
    text-transform: none;
    margin: 0 0 15px;
}

.pb_month {
    display: flex;
}

.day {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 182px;
    height: 170px;
    font-size: 0.8em;
    text-align: center;
    border: 2px solid var(--brown2);
    padding: 15px;
    background: var(--darkbrown);
    transition: background 0.3s;
}

.day:hover {
    background: var(--brown);
}

.day div {
    margin: 5px;
}

.btn {
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 25px;
}

.abtn {
    display: flex;
    align-items: center;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
    margin-left: auto;
    margin-right: auto;
}


/**/

.doctor-name {
    cursor: pointer;
}

.modal {
    display: none;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    position: fixed;
    left: 0;
    top: 0;
    z-index: 1;
    overflow: auto;
}

.modal-content {
    width: fit-content;
    color: var(--desert2);
    text-align: center;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 20px;
    margin: 15% auto;

    h2 {
        letter-spacing: 5px;
        border-bottom: 2px solid var(--desert);
        margin-bottom: 25px;
    }

    p {
        margin: 12px 0;
    }
}

.close {
    color: var(--desert);
    font-size: 3em;
    font-weight: bold;
    float: right;
}

.close:hover,
.close:focus {
    color: var(--desert2);
    text-decoration: none;
    cursor: pointer;
}



/** BESTELLUNGEN **/

input.in_search, input.or_search {
    width: 200px;
    margin-right: 0 !important;
}

.rectit {
    margin-left: auto;
}



.order {
    display: flex;
    gap: 25px;
    color: var(--desert);
    background-color: var(--brown2);
    border-radius: 15px;
    padding: 25px;
    margin: 0 auto;

    .title_date{
        align-items: center;
    }

    .d_title {
        margin-right: 100px;
    }

    .cre_status, .cre_city {
        min-width: 200px;
        font-size: 1em;
        text-align: center;
        color: var(--desert);
        background-color: var(--darkbrown);
        border: none;
        border-radius: 15px;
        padding: 15px;
        margin-right: 50px;
    }

    .cre_city {
        margin-right: 0 !important;
    }

    .cre_concerning {
        min-width: 270px;
        font-size: 1em;
        text-align: center;
        margin: 0 !important;
    }

    input.date {
        width: 160px;
        color: var(--desert);
        font-size: 1em;
        text-align: center;
        background-color: var(--darkbrown);
        border: none;
        border-radius: 15px;
        padding: 15px;
        outline: none;
    }

    input {
        padding: 15px;
        margin: 0;
    }

    input.amount {
        width: 100px;
        color: var(--desert);
        font-size: 1em;
        text-align: center;
        background-color: var(--darkbrown);
        border: none;
        border-radius: 15px;
        padding: 15px;
        outline: none;
    }

    .work_unfit {
        align-items: center;

        .c_control {
            display: flex;
            align-items: center;
            font-size: 1em;

            label {
                margin-left: 25px;
            }
        }
    }

    #invoice {
        display: block;
        width: 150px;
        padding: 15px;
        margin: 0;
    }
}

.cre_client, .cre_doctor {
    width: 250px;
}

.or_invoice {
    width: 150px;
    margin-right: auto !important;
}

.pagination a.active {
    font-weight: bold;
    text-decoration: underline;
}



/** CHECKLISTE **/

.ic_title {
    display: grid;
    grid-template-columns: 0.4fr 0.6fr 1fr 0.3fr 0.8fr 0.3fr;
    gap: 50px;
    justify-content: space-between;
    font-size: 1em;
    text-align: center;
    padding: 25px;
    padding-top: 0;
    margin:0 25px;
    margin-bottom: 25px;

}

.icheck {
    display: grid;
    grid-template-columns: 0.4fr 0.6fr 1fr 0.3fr 0.8fr 0.3fr;
    gap: 50px;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    background: var(--darkbrown);
    border-radius: 15px;
    padding: 25px;
    margin: 25px;
    margin-top: 0;
}

.icheck form {
    display: flex;
    align-items: center;
    justify-content: center;

    button {
        color: var(--desert);
        font-size: 1.1em;
        background-color: transparent;
    
        :hover {
            color: var(--desert);
            background-color: var(--brown);
        }
    }
}

.overtime {
    background-color: #640b0b;
}



/** CRAFTING **/

.crafting_boxes {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.craft_box {
    width: min-content;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
    margin-top: 15px;

    .craft_title {
        text-align: center;
        padding-bottom: 15px;
    }

    .crafting {
        background-color: var(--darkbrown2);
        border-radius: 15px;
    }

    .craft_production {
        display: flex;
        padding: 25px;
        padding-right: 15px;

        .craft_resc_prod {
            text-align: center;
        }
    }

    .craft_ressource {
        display: flex;
        padding: 15px
    }

    .craft_resc_prod {
        width: 100%;
    }

    .craft_resc {
        width: 18%;
        text-align: center;
        padding: 0 25px;
    }
}

.con_button {
    font-size: 1em;
    background-color: var(--darkbrown);
    border-radius: 15px;
    padding: 15px;
}

.con_button:hover {
    background-color: var(--brown);
}

/** CALCULATOR **/

#modalOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7); /* Dunkler transparenter Hintergrund */
    z-index: 1000; /* Höchste Ebene */
}

#calculatorModal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white; /* Hintergrundfarbe des Modals */
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
    z-index: 1001; /* Eine Ebene über dem Overlay */
}

/**/

.crafting_calculator {
    width: min-content;
    background-color: var(--brown2);
    border-radius: 15px;
    padding: 25px;
}

.craft_amount {
    display: flex;
    justify-content: center;
    border-bottom: 2px solid var(--desert);

    .btn_50x {
        color: var(--desert);
        background-color: var(--darkbrown);
        border-radius: 15px;
        padding: 15px;
        margin: 25px;
    }

    .btn_100x {
        color: var(--desert);
        background-color: var(--darkbrown);
        border-radius: 15px;
        padding: 15px;
        margin: 25px;
    }

    .btn_50x:hover, .btn_100x:hover {
        background-color: var(--desert2);
    }
}

.craft_product {
    display: flex;
    justify-content: center;
    margin: 25px;

    select {
        color: var(--desert);
        background-color: var(--darkbrown);
        border-radius: 15px;
        padding: 15px;

        option {
            border-radius: 15px;
            border: 0;
            outline: none;
        }
    }
}





/** DIVERSE **/

.red {
    color: red;
}

.green {
    color: green;
}

.warning {
    color: white;
    text-align: center;
    background-color: #640b0b;
    border-radius: 15px;
    padding: 25px;
    margin-bottom: 50px;
}

.con_red {
    background-color: #640b0b !important;
}

.stor_red {
    background-color: #400505 !important;
}

.dds2 {
    color: var(--desert2);
}

.vw1 {
    width: 100vw;
}

.vh1 {
    height: 100vh;
}

.nflex {
    display: block !important;
}

.fwrap {
    flex-wrap: wrap;
}

.fdc {
    flex-direction: column;
}

.fjustyc {
    justify-content: center !important;
}

.fjem25 {
    display: flex;
    justify-content: space-between;
    margin: 25px;
}

.fai {
    align-items: center;
}

.fjem25 input:first-child{
    margin-left: 0;
}

.fjem25 input:last-child {
    margin-right: 0;
}

.pnone {
    padding: 0;
}

.ptnone {
    padding-top: 0;
}

.mt50 {
    margin-top: 50px;
}

.mbn {
    margin-bottom: 0;
}

.mnone {
    margin: 0;
}

.mainn {
    margin: auto !important;
}

.mtba {
    margin-top: auto;
    margin-bottom: auto;
}

.prmr75 {
    position: absolute;
    right: 0;
    margin-right: 75px;
}

.grid {
    display: grid !important;
    grid-template-columns: 1fr 1fr 15%;
    gap: 50px;
}

.tr2 {
    transition: 0.2s ease-in-out;
}

.hr2 {
    height: 2px;
    background-color: var(--darkdesert);
    border: 0;
}

.hidden {
    display: none;
}



/** SCROLLBALKEN **/

aside::-webkit-scrollbar {
    width: 8px;
    background-color: transparent;
}

aside::-webkit-scrollbar-thumb {
    background-color: var(--lightgray);
    border-radius: 50px;
}

aside::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1);
    border-radius: 6px;
}

aside::-webkit-scrollbar-thumb:hover {
    background: var(--lightgray);
}

aside {
    scrollbar-width: thin;
    scrollbar-color: transparent transparent;
}

aside:hover {
    scrollbar-color: var(--lightgray) transparent;
}



/** SCROLLBALKEN **/


::-webkit-scrollbar {
    width: 2px;
}

::-webkit-scrollbar-track {
    background: var(--gray);
	border-radius: 5px;
}

::-webkit-scrollbar-thumb {
    background: var(--gray);
	border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
    background: var(--gray);
}

/* Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: var(--gray) var(--gray);
}

*::-moz-scrollbar-track {
    background: var(--gray);
	border-radius: 5px;
}

*::-moz-scrollbar-thumb {
    background: var(--gray);
	border-radius: 5px;
}

*::-moz-scrollbar-thumb:hover {
    background: var(--gray);
}

/* Microsoft Edge and IE */
*::-ms-scrollbar {
    width: 2px;
}

*::-ms-track {
    background: var(--gray);
	border-radius: 5px;
}

*::-ms-thumb {
    background: var(--gray);
	border-radius: 5px;
}

*::-ms-thumb:hover {
    background: var(--gray);
}